play.mvc

## Class Scope.Flash

- java.lang.Object
- - play.mvc.Scope.Flash

- Enclosing class:
    Scope

      public static class Scope.Flash
      extends java.lang.Object

  Flash scope

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.ThreadLocal<Scope.Flash>` | `current`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Flash()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `contains(java.lang.String key)`
    `static Scope.Flash` | `current()`
    `void` | `discard()`
    `void` | `discard(java.lang.String key)`
    `void` | `error(java.lang.String value, java.lang.Object... args)`
    `java.lang.String` | `get(java.lang.String key)`
    `void` | `keep()`
    `void` | `keep(java.lang.String key)`
    `void` | `now(java.lang.String key, java.lang.String value)`
    `void` | `put(java.lang.String key, java.lang.Object value)`
    `void` | `put(java.lang.String key, java.lang.String value)`
    `boolean` | `remove(java.lang.String key)`
    `static Scope.Flash` | `restore()`
    `void` | `success(java.lang.String value, java.lang.Object... args)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### current

          public static final java.lang.ThreadLocal<Scope.Flash> current

  - ### Constructor Detail

    - #### Flash

          public Flash()

  - ### Method Detail

    - #### restore

          public static Scope.Flash restore()

    - #### current

          public static Scope.Flash current()

    - #### put

          public void put(java.lang.String key,
                          java.lang.String value)

    - #### put

          public void put(java.lang.String key,
                          java.lang.Object value)

    - #### now

          public void now(java.lang.String key,
                          java.lang.String value)

    - #### error

          public void error(java.lang.String value,
                            java.lang.Object... args)

    - #### success

          public void success(java.lang.String value,
                              java.lang.Object... args)

    - #### discard

          public void discard(java.lang.String key)

    - #### discard

          public void discard()

    - #### keep

          public void keep(java.lang.String key)

    - #### keep

          public void keep()

    - #### get

          public java.lang.String get(java.lang.String key)

    - #### remove

          public boolean remove(java.lang.String key)

    - #### clear

          public void clear()

    - #### contains

          public boolean contains(java.lang.String key)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly